Project

General

Profile

What distro are using and what do you recommend for me?

Added by A L almost 3 years ago

I am very much a Linux beginner and still struggling to feel anything close to comfortable with leaving Windows.

I have been experimenting with TVH and it really is very good.

Ultimately, I am looking to build a headless server that does the following:
•Combines all disks in the server into one (with mergerfs).
•Records digital TV with TVH.
•Wakes up from sleep to record and then goes back to sleep when idling.
•Lets me watch everything back via Emby.

What are my options and what are you using and why?

A few things I have noted so far:
•Linux Mint seems to do the above but comes with loads of unneeded bloat.
•Openmediavault seems to be much more lightweight but is it possible to install TVH on it without a dedicated plugin?
•If I installed Librelec on the server, am I then able to install Emby?

Any pointers/advice would be much appreciated.


Replies (4)

RE: What distro are using and what do you recommend for me? - Added by Morbid Angel almost 3 years ago

I use centos7 as base for my media system (tvheadend+oscam+kodi) its pretty stable and I dont have problems with it...

You can use libreelec but if you need other software (like Emby) and there is no addon with it in libreelec/kodi then you need to compile customised version of libreelec. If you are a linux beginner, it can be pretty hard.

If you want to try centos 7, you can use my repo with kodi/oscam/tvheadend. https://packages.chao5.net/x86_64

Greetz

RE: What distro are using and what do you recommend for me? - Added by A L almost 3 years ago

Thanks for that - I actually ended up installing TVH on Openmediavault and it seems pretty good so far.

I have never come across Centos 7 before and will definitely look a bit more into it.

RE: What distro are using and what do you recommend for me? - Added by Robert Cameron almost 3 years ago

Centos is the open/community version of Red Hat Enterprise Linux (RHEL), think of it as the server version of Fedora.

RE: What distro are using and what do you recommend for me? - Added by spyer spyer over 2 years ago

Hello morbit,

is your Repro the newest releaser? (tvheadend-4.1.2533-1.el7.centos.x86_64.rpm)
I have problems to install it on CentOS:

1. Install(chao5) #############################
wget https://packages.chao5.net/x86_64/RPMS/tvheadend-4.1.2533-1.el7.centos.x86_64.rpm --no-check-certificate
yum install tvheadend-4.1.2533-1.el7.centos.x86_64.rpm

--> Finished Dependency Resolution
Error: Package: tvheadend-4.1.2533-1.el7.centos.x86_64 (/tvheadend-4.1.2533-1.el7.centos.x86_64)
           Requires: libavcodec.so.57()(64bit)
Error: Package: tvheadend-4.1.2533-1.el7.centos.x86_64 (/tvheadend-4.1.2533-1.el7.centos.x86_64)
           Requires: libavcodec.so.57(LIBAVCODEC_57)(64bit)
Error: Package: tvheadend-4.1.2533-1.el7.centos.x86_64 (/tvheadend-4.1.2533-1.el7.centos.x86_64)
           Requires: libavresample.so.3()(64bit)
Error: Package: tvheadend-4.1.2533-1.el7.centos.x86_64 (/tvheadend-4.1.2533-1.el7.centos.x86_64)
           Requires: libavfilter.so.6()(64bit)
Error: Package: tvheadend-4.1.2533-1.el7.centos.x86_64 (/tvheadend-4.1.2533-1.el7.centos.x86_64)
           Requires: libswscale.so.4()(64bit)
Error: Package: tvheadend-4.1.2533-1.el7.centos.x86_64 (/tvheadend-4.1.2533-1.el7.centos.x86_64)
           Requires: libavutil.so.55()(64bit)
Error: Package: tvheadend-4.1.2533-1.el7.centos.x86_64 (/tvheadend-4.1.2533-1.el7.centos.x86_64)
           Requires: libavresample.so.3(LIBAVRESAMPLE_3)(64bit)
Error: Package: tvheadend-4.1.2533-1.el7.centos.x86_64 (/tvheadend-4.1.2533-1.el7.centos.x86_64)
           Requires: libswresample.so.2()(64bit)
Error: Package: tvheadend-4.1.2533-1.el7.centos.x86_64 (/tvheadend-4.1.2533-1.el7.centos.x86_64)
           Requires: libavfilter.so.6(LIBAVFILTER_6)(64bit)
Error: Package: tvheadend-4.1.2533-1.el7.centos.x86_64 (/tvheadend-4.1.2533-1.el7.centos.x86_64)
           Requires: libavformat.so.57()(64bit)
Error: Package: tvheadend-4.1.2533-1.el7.centos.x86_64 (/tvheadend-4.1.2533-1.el7.centos.x86_64)
           Requires: libavformat.so.57(LIBAVFORMAT_57)(64bit)
Error: Package: tvheadend-4.1.2533-1.el7.centos.x86_64 (/tvheadend-4.1.2533-1.el7.centos.x86_64)
           Requires: libavutil.so.55(LIBAVUTIL_55)(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

2. Intsall (nux.noarch) #######################################
The next version i found, and its work with differnt workarounds is from
wget http://li.nux.ro/download/nux/dextop/el7/x86_64/nux-dextop-release-0-5.el7.nux.noarch.rpm
yum install nux-dextop-release-0-5.el7.nux.noarch.rpm
yum install tvheadend
"HTS Tvheadend 4.1.322-git.55efd0f.2.el7.nux"
This i also a old version.

3. ###################################
add unstable repo to /etc/yum.repos.d/
https://dl.bintray.com/tvheadend/centos/:bintray-tvheadend-centos-unstable.repo

This version is HTS Tvheadend 4.3-46~g2261fd6.el7.centos.
But they dont compiled CAs.

Can you compile me the latest unstable version?
In all versions I have problems with the login to the Webinterface. I can only login when is start with "tvheadend -C". This can not be. Can you help me?
My Workaround:
Start with when is start with tvheadend -C
cp /root/.hts/tvheadend/accesscontrol to /home/tvheadend/config/
nano /etc/sysconfig
change user from tvheadend to root
change dir to /root/.hts/tvheadend
WorkaroundEOF

Best reguards
Spyer

    (1-4/4)